(** Dessin des sprites et du décor. *)

(** [draw_background x y]: dessine le décor en plaçant le coin haut gauche
    à la position [(x, y)], ce qui permet aussi d'effacer l'écran. *)
val draw_background: int -> int -> unit

(** [draw_player x y]: dessine un joueur en plaçant le centre à la position
    [(x, y)]. *)
val draw_player: int -> int -> unit

(** [draw_missile x y]: dessine un missile en plaçant le centre à la
    position [(x, y)]. *)
val draw_missile: int -> int -> unit

(** [draw_blue_enemy x y]: dessine un ennemi bleu en plaçant le centre à
    la position [(x, y)]. *)
val draw_blue_enemy: int -> int -> unit

(** [draw_red_enemy x y]: dessine un ennemi rouge en plaçant le centre à
    la position [(x, y)]. *)
val draw_red_enemy: int -> int -> unit

(** [draw_explosion n x y]: dessine l'étape d'animation [n] d'une explosion
    en plaçant le centre à la position [(x, y)], où [n] peut valoir [1], [2],
    [3] ou [4]. *)
val draw_explosion: int -> int -> int -> unit

(** [draw_text x y txt]: dessine le texte [txt] en plaçant le coin haut gauche
    à la position [(x, y)]. *)
val draw_text: int -> int -> string -> unit

(** [draw_text_center x y txt]: dessine le texte [txt] en plaçant le centre
    à la position [(x, y)]. *)
val draw_text_center: int -> int -> string -> unit

(** Il est nécessaire d'appeler [update] après avoir fini de dessiner
pour que les dessins soient pris en compte. *)
val update: unit -> unit
