(** Le type des entrées. Il s'agit de la liste des différentes actions que peut
effectuer le joueur. Le module [Input] abstrait les entrées : on n'a pas besoin
de savoir que le joueur a appuyé sur la flèche de gauche ; on a juste besoin de
savoir qu'il effectue l'action : aller à gauche. *)
type t =
  | Left
  | Right
  | Up
  | Down
  | Fire1 (* tir primaire (touche CTRL) *)
  | Fire2 (* tir secondaire (touche ALT) *)
  | Quit

(** Renvoie la liste des entrées actuellement pressées. *)
val read: unit -> t list
